Event Subscriptions

An EventSubscription selects EventRecords for an EventChannel and sends them to one or more EventTargets.

List Event Subscriptions

Endpoint

GET/event_subscriptions

Return Object

EventSubscription[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/event_subscriptions.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "event_channel_id": 1,
    "workspace_id": 1,
    "apply_to_all_workspaces": true,
    "name": "example",
    "subject": "example",
    "message": "example",
    "message_only": true,
    "enabled": true,
    "event_types": [
      "example"
    ],
    "filter": "example",
    "delivery_policy": "example",
    "event_target_ids": [
      1
    ],
    "created_at": "2000-01-01T01:00:00Z",
    "updated_at": "2000-01-01T01:00:00Z"
  }
]

Show Event Subscription

Endpoint

GET/event_subscriptions/{id}

Return Object

EventSubscription

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Event Subscription ID.

Example Request

curl https://app.files.com/api/rest/v1/event_subscriptions/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_channel_id": 1,
  "workspace_id": 1,
  "apply_to_all_workspaces": true,
  "name": "example",
  "subject": "example",
  "message": "example",
  "message_only": true,
  "enabled": true,
  "event_types": [
    "example"
  ],
  "filter": "example",
  "delivery_policy": "example",
  "event_target_ids": [
    1
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "updated_at": "2000-01-01T01:00:00Z"
}

Create Event Subscription

Endpoint

POST/event_subscriptions

Return Object

EventSubscription

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDefaultDescription
event_channel_id
int64
Event Channel ID
workspace_id
int64
0Workspace ID. 0 means the default workspace or site-wide.
apply_to_all_workspaces
boolean
falseIf true, this default-workspace subscription applies to events from all workspaces.
name
string
Required
Event Subscription name.
subject
string
Custom subject line to use for notification emails.
message
string
Custom message to include in notification emails.
message_only
boolean
falseIf true, notification email bodies contain only the custom message, omitting event details and the review button. Requires a custom message, defaults to false, and does not affect non-email targets.
enabled
boolean
trueWhether this Event Subscription can dispatch events.
event_types
array(string)
Event type strings matched by this subscription. Blank means all event types.
delivery_policy
object
Event Subscription delivery policy.
event_target_ids
array(int64)
Event Target IDs this subscription sends to.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/event_subscriptions.json \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"event_channel_id":1,"workspace_id":1,"apply_to_all_workspaces":true,"name":"example","subject":"example","message":"example","message_only":true,"enabled":true,"event_types":["example"],"delivery_policy":"example","event_target_ids":[1]}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_channel_id": 1,
  "workspace_id": 1,
  "apply_to_all_workspaces": true,
  "name": "example",
  "subject": "example",
  "message": "example",
  "message_only": true,
  "enabled": true,
  "event_types": [
    "example"
  ],
  "filter": "example",
  "delivery_policy": "example",
  "event_target_ids": [
    1
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "updated_at": "2000-01-01T01:00:00Z"
}

Update Event Subscription

Endpoint

PATCH/event_subscriptions/{id}

Return Object

EventSubscription

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Event Subscription ID.
event_channel_id
int64
Event Channel ID
workspace_id
int64
Workspace ID. 0 means the default workspace or site-wide.
apply_to_all_workspaces
boolean
If true, this default-workspace subscription applies to events from all workspaces.
name
string
Event Subscription name.
subject
string
Custom subject line to use for notification emails.
message
string
Custom message to include in notification emails.
message_only
boolean
If true, notification email bodies contain only the custom message, omitting event details and the review button. Requires a custom message, defaults to false, and does not affect non-email targets.
enabled
boolean
Whether this Event Subscription can dispatch events.
event_types
array(string)
Event type strings matched by this subscription. Blank means all event types.
delivery_policy
object
Event Subscription delivery policy.
event_target_ids
array(int64)
Event Target IDs this subscription sends to.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/event_subscriptions/{id}.json \
  -X PATCH \
  -H 'Content-Type: application/json' \
  -d '{"event_channel_id":1,"workspace_id":1,"apply_to_all_workspaces":true,"name":"example","subject":"example","message":"example","message_only":true,"enabled":true,"event_types":["example"],"delivery_policy":"example","event_target_ids":[1]}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_channel_id": 1,
  "workspace_id": 1,
  "apply_to_all_workspaces": true,
  "name": "example",
  "subject": "example",
  "message": "example",
  "message_only": true,
  "enabled": true,
  "event_types": [
    "example"
  ],
  "filter": "example",
  "delivery_policy": "example",
  "event_target_ids": [
    1
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "updated_at": "2000-01-01T01:00:00Z"
}

Delete Event Subscription

Endpoint

DELETE/event_subscriptions/{id}

Return Object

No return value.

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Event Subscription ID.

Example Request

curl https://app.files.com/api/rest/v1/event_subscriptions/{id}.json \
  -X DELETE \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

The EventSubscription Object

Some of the endpoints above return a EventSubscription object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event Subscription ID
event_channel_id
int64
Event Channel ID
workspace_id
int64
Workspace ID. 0 means the default workspace or site-wide.
apply_to_all_workspaces
boolean
If true, this default-workspace subscription applies to events from all workspaces.
name
string
Event Subscription name.
subject
string
Custom subject line to use for notification emails.
message
string
Custom message to include in notification emails.
message_only
boolean
If true, notification email bodies contain only the custom message, omitting event details and the review button. Requires a custom message, defaults to false, and does not affect non-email targets.
enabled
boolean
Whether this Event Subscription can dispatch events.
event_types
array(string)
Event type strings matched by this subscription. Blank means all event types.
filter
object
Structured event payload filter.
delivery_policy
object
Event Subscription delivery policy.
event_target_ids
array(int64)
Event Target IDs this subscription sends to.
created_at
date-time
Event Subscription create date/time.
updated_at
date-time
Event Subscription update date/time.

Example EventSubscription Object

{
  "id": 1,
  "event_channel_id": 1,
  "workspace_id": 1,
  "apply_to_all_workspaces": true,
  "name": "example",
  "subject": "example",
  "message": "example",
  "message_only": true,
  "enabled": true,
  "event_types": [
    "example"
  ],
  "filter": "example",
  "delivery_policy": "example",
  "event_target_ids": [
    1
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "updated_at": "2000-01-01T01:00:00Z"
}